Loading...
Searching...
No Matches
DSRDocumentTreeNodeTemplateIdentificationFilter Class Reference

Class implementing a document tree node filter that checks for a given template identification. More...

Inheritance diagram for DSRDocumentTreeNodeTemplateIdentificationFilter:

## Public Member Functions

| DSRDocumentTreeNodeTemplateIdentificationFilter (const OFString &templateIdentifier, const OFString &mappingResource, const OFString &mappingResourceUID="")
| constructor
virtual | ~DSRDocumentTreeNodeTemplateIdentificationFilter ()
| destructor
virtual OFBool | matches (const DSRDocumentTreeNode *node) const
| check whether given node matches the filter criterion (template identification)
Public Member Functions inherited from DSRDocumentTreeNodeFilter
virtual | ~DSRDocumentTreeNodeFilter ()
| destructor

## Private Attributes

const OFString | TemplateIdentifier
| template identifier to check for
const OFString | MappingResource
| mapping resource to check for
const OFString | MappingResourceUID
| mapping resource unique identifier to check for (if not empty)

## Detailed Description

Class implementing a document tree node filter that checks for a given template identification.

## Constructor & Destructor Documentation

## DSRDocumentTreeNodeTemplateIdentificationFilter()

DSRDocumentTreeNodeTemplateIdentificationFilter::DSRDocumentTreeNodeTemplateIdentificationFilter | ( | const OFString & | templateIdentifier,
|  | const OFString & | mappingResource,
|  | const OFString & | mappingResourceUID = "" )

constructor

Parameters

  templateIdentifier | template identifier to check for
  mappingResource | mapping resource that defines the template
  mappingResourceUID | uniquely identifies the mapping resource (optional). Not used for comparison if the value is empty.

## Member Function Documentation

## matches()

virtual OFBool DSRDocumentTreeNodeTemplateIdentificationFilter::matches | ( | const DSRDocumentTreeNode * | node | ) | const

virtual

check whether given node matches the filter criterion (template identification)

Parameters

  node | pointer to the node to be checked

Returns
  OFTrue if 'node' matches the filter criterion, OFFalse otherwise

Implements DSRDocumentTreeNodeFilter.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrdnflt.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0